import { StepResult, ConsoleMessage, ConsoleException } from '@testim/root-cause-types';
import { ActiveFeatures } from './attachInterfaces';
import { TestContextInterface } from './TestContext';
export declare class TestContextMemory implements TestContextInterface {
    testArtifactsFolder: string;
    private testName;
    private testFullName;
    testFilePath: string;
    featuresSettings: ActiveFeatures;
    dateConstructor: typeof Date;
    private stepIndex;
    private stepResults;
    private testMetadata;
    private _currentStep?;
    consoleEntries: ConsoleMessage[];
    unhandledExceptions: ConsoleException[];
    constructor(testArtifactsFolder: string, testName: string, testFullName: string, testFilePath: string, featuresSettings: ActiveFeatures, dateConstructor?: typeof Date);
    stepStarted(): StepResult;
    stepEnded(): Promise<void>;
    testEnded(): Promise<void>;
    addTestMetadata(metadata: Record<string | number, unknown>): void;
    addAssertionStep(partialStep: Pick<StepResult, Exclude<keyof StepResult, 'index' | 'startTimestamp'>>): void;
}
